local L = AceLibrary("AceLocale-2.0"):new("Antagonist")

L:RegisterTranslations("enUS", function()
    return {
    	["Fonts\\skurri.ttf"] = "Fonts\\skurri.ttf", -- (internal)
	
	["Casts"] =	"Casts",
	["Buffs"] =	"Buffs",
	["Cooldowns"] = "Cooldowns",
	
	-- Command line names
	["Group"] = "Group",
	["Bar"] = "Bar",
	["Anchor"] = "Anchor",
	
	-- Misc names
	["Test"] = "Test",
	["Lock"] = "Lock",
	["Stop"] = "Stop",
	["Kill"] = "Kill",
	["Fade"] = "Fade",
	["Death"] = "Death",
	["Cooldown Limit"] = "Cooldown Limit",

	-- Group names
	["Target Only"] = "Target Only",
	["Enabled"] = "Enabled",
	["Reverse"] = "Reverse",
	["Show Under"] = "Show Under",
	["Pattern"] = "Pattern",

	-- Bar names
	["Bar Color"] = "Bar Color",
	["Background Color"] = "Background Color",
	["Text Color"] = "Text Color",
	["Background Alpha"] = "Background Alpha",
	["Bar Texture"] = "Bar Texture",
	["Bar Scale"] = "Bar Scale",
	["Bar Fade"] = "Bar Fade",
	["Bar Height"] = "Bar Height",
	["Bar Width"] = "Bar Width",
	["Text Size"] = "Text Size",

	-- Anchor names
	["Title"] = "Title",
	["Title Color"] = "Title Color",
	["Grow Up"] = "Grow Up",

	-- Command line descriptions
	["DescGroup"] = "The three spell type groups: casts, buffs, cooldowns.",
	["DescBar"] = "Bar appeareance settings.",
	["DescAnchor"] = "Anchor control settings.",

	["DescCasts"] = "Casting times.",
	["DescBuffs"] = "Buff durations.",
	["DescCooldowns"] = "Cooldown times.",
		
	-- Group descs
	["DescTargetOnly"] = "Parse only your target's events.",
	["DescEnabled"] = "Whether this group is parsed.",
	["DescReverse"] = "Whether the bars fill or deplete.",
	["DescShowUnder"] = "Which anchor the group will appear under.",
	["DescPattern"] = "The pattern used for the text on the bar. Use $n, $s and $t to represent name, spell and target (casts only).",
	
	-- Bar descs
	["DescBarColor"] = "Set the bar color.",
	["DescBgColor"] = "Set the background bar color.",
	["DescTextColor"] = "Set the bar text color.",
	["DescBgAlpha"] = "Set the alpha value of the bar background.",
	["DescBarTexture"] = "The texture of the timer bars.",
	["DescBarScale"] = "The scale of the timer bars.",
	["DescBarFade"] = "The time it takes for a bar to fade out.",
	["DescBarHeight"] = "The height of the timer bars.",
	["DescBarWidth"] = "The width of the timer bars.",
	["DescTextSize"] = "The text size on the timer bars.",
	
	-- Anchor descs
	["DescAnchorName"] = "Control settings for anchor ", -- do not remove the space
	["DescTitle"] = "Set the title text.",
	["DescTitleColor"] = "Set the color of the title.",
	["DescGrowup"] = "Whether the bars will grow up or down.",

	-- Misc descs
	["DescTest"] = "Runs test bars.",
	["DescLock"] = "Shows/hides the anchors.",
	["DescStop"] = "Stop all bars and hide all titles.",
	["DescGroup"] = "Group options.", 
	["DescKill"] = "Toggles whether bars disappear when a hostile is killed.",
	["DescFade"] = "Toggles whether bars disappear when a spell fades.",
	["DescDeath"] = "Toggles whether bars dissapear when you die.",
	["DescCDLimit"] = "Don't show cooldowns longer than this number.",

	-- Bar color names
	["school"] = "school",
	["class"] = "class",
	["group"] = "group",

	["TestBarText"] = "unit : spell",

	-- Spells not supported by BabbleSpell
	-- casts
	["Hearthstone"] = "Hearthstone",
	["Polymorph: Pig"] = "Polymorph: Pig",
	["Polymorph: Turtle"] = "Polymorph: Turtle",
	
	-- mob casts
	["Shrink"] = "Shrink",			
	["Banshee Curse"] = "Banshee Curse",			
	["Shadow Bolt Volley"] = "Shadow Bolt Volley",		
	["Cripple"] = "Cripple",			
        ["Dark Mending"] = "Dark Mending",			
	["Spirit Decay"] = "Spirit Decay",
	["Gust of Wind"] = "Gust of Wind",			
	["Black Sludge"] = "Black Sludge",			
	["Toxic Bolt"] = "Toxic Bolt",			
	["Poisonous Spit"] = "Poisonouse Spit",			
	["Wild Regeneration"] =	"Wild Regeneration",	
	["Curse of the Deadwood"] = "Curse of the Deadwood",		
	["Curse of Blood"] = "Curse of Blood",			
	["Dark Sludge"] = "Dark Sludge",			
	["Plague Cloud"] = "Plague Cloud",			
	["Wandering Plague"] = "Wandering Plague",		
	["Wither Touch"] = "Whither Touch",			
	["Fevered Fatigue"] = "Fevered Fatigue",		
	["Encasing Webs"] = "Encasing Webs",			
	["Crystal Gaze"] = "Crystal Gaze",			
	
	-- buffs
	["Brittle Armor"] = "Brittle Armor",
	["Unstable Power"] = "Unstable Power",
	["Restless Strength"] = "Restless Strength",
	["Ephemeral Power"] = "Ephemeral Power",
	["Massive Destruction"] = "Massive Destruction", 
	["Arcane Potency"] = "Arcane Potency",	
	["Energized Shield"] = "Energized Shield",
	["Brilliant Light"] = "Brilliant Light",
	["Mar'li's Brain Boost"] = "Mar'li's Brain Boost",
	["Earthstrike"] = "Earthstrike", 
	["Gift of Life"] = "Gift of Life", 
	["Nature Aligned"] = "Nature Aligned",
	["Quick Shots"] = "Quick Shots",

	["Fire Reflector"] = "Frost Reflector",
	["Shadow Reflector"] = "Shadow Reflector",
	["Frost Reflector"] = "Frost Reflector",
	}
end)

L:RegisterTranslations("koKR", function()
    return {
    	["Fonts\\skurri.ttf"] = "Fonts\\2002.ttf", -- (internal)
	
	["Casts"] =	"??",
	["Buffs"] =	"??",
	["Cooldowns"] = "??? ????",
	
	-- Command line names
	["Group"] = "??",
	["Bar"] = "?",
	["Anchor"] = "??",
	
	-- Misc names
	["Test"] = "???",
	["Lock"] = "??",
	["Stop"] = "??",
	["Kill"] = "??",
	["Fade"] = "???",
	["Death"] = "??",
	["Cooldown Limit"] = "??? ???? ??",

	-- Group names
	["Target Only"] = "???",
	["Enabled"] = "????",
	["Reverse"] = "??",
	["Show Under"] = "??? ??",
	["Pattern"] = "??",

	-- Bar names
	["Bar Color"] = "? ??",
	["Background Color"] = "?? ??",
	["Text Color"] = "?? ??",
	["Background Alpha"] = "?? ???",
	["Bar Texture"] = "? ???",
	["Bar Scale"] = "? ??",
	["Bar Fade"] = "? ???",
	["Bar Height"] = "? ??",
	["Bar Width"] = "? ??",
	["Text Size"] = "?? ??",

	-- Anchor names
	["Title"] = "???",
	["Title Color"] = "??? ??",
	["Grow Up"] = "??",

	-- Command line descriptions
	["DescGroup"] = "??? ?? ??: ??, ??, ??? ????.",
	["DescBar"] = "? ??? ?????.",
	["DescAnchor"] = "??? ?????.",

	["DescCasts"] = "?? ??.",
	["DescBuffs"] = "?? ?? ??.",
	["DescCooldowns"] = "??? ?? ??.",
		
	-- Group descs
	["DescTargetOnly"] = "??? ???? ?????.",
	["DescEnabled"] = "?? ??? ??? ?? ?????.",
	["DescReverse"] = "?? ???? ??? ?? ?????.",
	["DescShowUnder"] = "?? ??? ?? ?? ??? ????.",
	["DescPattern"] = "??? ???? ???? ??. ??, ??, ??(???)? ??? ????? $n, $s, $t ? ?????.",
	
	-- Bar descs
	["DescBarColor"] = "? ??? ?????.",
	["DescBgColor"] = "?? ? ??? ?????.",
	["DescTextColor"] = "? ?? ??? ?????.",
	["DescBgAlpha"] = "? ??? ???? ?????.",
	["DescBarTexture"] = "??? ?? ??????.",
	["DescBarScale"] = "??? ?? ?????.",
	["DescBarFade"] = "?? ???? ??? ?????.",
	["DescBarHeight"] = "??? ?? ?????.",
	["DescBarWidth"] = "??? ?? ?? ???.",
	["DescTextSize"] = "??? ? ?? ?? ?? ???.",

	-- Anchor descs
	["DescAnchorName"] = "??? ?? ?? ?? : ", -- do not remove the space
	["DescTitle"] = "??? ??? ?????.",
	["DescTitleColor"] = "???? ??? ?????.",
	["DescGrowup"] = "?? ?? ???? ??? ????? ?????.",

	-- Misc descs
	["DescTest"] = "??? ?? ?????.",
	["DescLock"] = "?? ??/??.",
	["DescStop"] = "?? ?? ???? ?? ??? ????.",
	["DescGroup"] = "??? ?????.", 
	["DescKill"] = "?? ??? ? ?? ???? ??? ?????.",
	["DescFade"] = "??? ???? ? ?? ???? ??? ?????.",
	["DescDeath"] = "??? ??? ? ?? ???? ??? ?????.",
	["DescCDLimit"] = "? ?? ??? ??? ????? ???? ????.",

	-- Bar color names
	["school"] = "??",
	["class"] = "??",
	["group"] = "??",

	["TestBarText"] = "?? : ??",

	-- Spells not supported by BabbleSpell
	-- casts
	["Hearthstone"] = "???",
	["Polymorph: Pig"] = "??: ??",
	["Polymorph: Turtle"] = "??: ???",
	
	-- mob casts
	["Shrink"] = "??",
	["Banshee Curse"] = "??? ??",
	["Shadow Bolt Volley"] = "?? ??? ??",
	["Cripple"] = "?? ??",
        ["Dark Mending"] = "??? ??",
	["Spirit Decay"] = "?? ??",
	["Gust of Wind"] = "??",
	["Black Sludge"] = "?? ??",
	["Toxic Bolt"] = "?? ??",
	["Poisonous Spit"] = "??",
	["Wild Regeneration"] =	"??? ???",
	["Curse of the Deadwood"] = "??? ??",
	["Curse of Blood"] = "?? ??",
	["Dark Sludge"] = "??? ??",
	["Plague Cloud"] = "?? ??",
	["Wandering Plague"] = "??? ??",		
	["Wither Touch"] = "??? ??",
	["Fevered Fatigue"] = "??? ??",
	["Encasing Webs"] = "??? ???",
	["Crystal Gaze"] = "??? ??",
	
	-- buffs
	["Brittle Armor"] = "???? ??",
	["Unstable Power"] = "???? ??",
	["Restless Strength"] = "???? ?",
	["Ephemeral Power"] = "??? ?",
	["Massive Destruction"] = "??? ??",
	["Arcane Potency"] = "??? ???",
	["Energized Shield"] = "??? ??",
	["Brilliant Light"] = "??? ?",
	["Mar'li's Brain Boost"] = "??? ?",
	["Earthstrike"] = "??? ??",
	["Gift of Life"] = "??? ??",
	["Nature Aligned"] = "?? ??? ??",
	["Quick Shots"] = "Quick Shots", -- check

	["Fire Reflector"] = "??? ?? ???",
	["Shadow Reflector"] = "??? ?? ???",
	["Frost Reflector"] = "????? ?? ???",
	}
end)